Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.remote
Class MetricsClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.resource.remote.WsResourceClient
              org.apache.muse.ws.dm.muws.remote.MetricsClient

All Implemented Interfaces:
  SoapMonitor

public class MetricsClient
extends WsResourceClient

MetricsClient provides two convenience methods for reading WSRP resource properties and their metrics without resorting to separate SOAP calls or DOM APIs. The user can provide a java.util.Map that will be filled with the metric data in POJO form.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`MetricsClient(EndpointReference destination)`
`MetricsClient(EndpointReference destination, EndpointReference source)`
`MetricsClient(EndpointReference destination, EndpointReference source, Environment environment)`
`MetricsClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`java.lang.Object` | `getPropertyAsObjectAndMetrics(QName qname, java.lang.Class type, java.util.Map metrics)` This method is just like getPropertyAsObject() except that it will fill the given Map with the metrics returned in the property XML.
`org.w3c.dom.Element[]` | `getResourcePropertyAndMetrics(QName qname, java.util.Map metrics)` This method is just like getResourceProperty() except that it will fill the given Map with the metrics returned in the property XML.

Methods inherited from class org.apache.muse.ws.resource.remote.WsResourceClient
`deleteResourceProperty, destroy, getMultipleResourceProperties, getPropertyAsObject, getResourceProperty, getResourcePropertyDocument, insertResourceProperty, putResourcePropertyDocument, queryResourceProperties, setResourceProperties, setTerminationTime, updateResourceProperty`

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsClient

    public MetricsClient(EndpointReference destination)

### MetricsClient

    public MetricsClient(EndpointReference destination,
                         EndpointReference source)

### MetricsClient

    public MetricsClient(EndpointReference destination,
                         EndpointReference source,
                         Environment environment)

### MetricsClient

    public MetricsClient(EndpointReference destination,
                         EndpointReference source,
                         SoapClient soapClient)

Method Detail

### getPropertyAsObjectAndMetrics

    public java.lang.Object getPropertyAsObjectAndMetrics(QName qname,
                                                          java.lang.Class type,
                                                          java.util.Map metrics)
                                                   throws SoapFault

  This method is just like getPropertyAsObject() except that it will fill the given Map with the metrics returned in the property XML. The ResetAt metric (MuwsConstants.RESET_AT) is a java.util.Date, the LastUpdated metrics (MuwsConstants.LAST_UPDATED) is a java.util.Date, and the Duration metric (MuwsConstants.DURATION) is a java.lang.String. If there were no property values, the Map will not be modified.

  Throws:
    `SoapFault`

### getResourcePropertyAndMetrics

    public org.w3c.dom.Element[] getResourcePropertyAndMetrics(QName qname,
                                                               java.util.Map metrics)
                                                        throws SoapFault

  This method is just like getResourceProperty() except that it will fill the given Map with the metrics returned in the property XML. The ResetAt metric (MuwsConstants.RESET_AT) is a java.util.Date, the LastUpdated metrics (MuwsConstants.LAST_UPDATED) is a java.util.Date, and the Duration metric (MuwsConstants.DURATION) is a java.lang.String. If there were no property values, the Map will not be modified.

  Throws:
    `SoapFault`
  See Also:
    `MuwsConstants`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD